﻿
namespace HeuristicLab.Services.Optimization.Billing.Interfaces {
  // Interface that determines the current state of the entity
  // Model classes implement this interface
  // Importatnt: client application is responsible for setting the correct state
  public interface IObjectWithState {
    State EntityState { get; set; }
  }

  public enum State {
    Added,
    Unchanged,
    Modified,
    Deleted
  }
}
